> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enokilabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List runs for a model

> List assessment runs for a model, ordered by most recent first.



## OpenAPI

````yaml https://api.enokilabs.ai/openapi.json get /api/v1/model/{model_id}/run
openapi: 3.1.0
info:
  title: Enoki External API
  description: >-
    Programmatic API for CI/CD integration. Authenticate with `Authorization:
    Bearer egk_...`.
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/model/{model_id}/run:
    get:
      tags:
        - assessment
      summary: List runs for a model
      description: List assessment runs for a model, ordered by most recent first.
      operationId: api_list_runs_for_model_api_v1_model__model_id__run_get
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            title: Model Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Filter by status: running, completed, error.'
            title: Status
          description: 'Filter by status: running, completed, error.'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Max results (1-100).
            default: 20
            title: Limit
          description: Max results (1-100).
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer token with API key
            title: Authorization
          description: Bearer token with API key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiRunListResponse'
        '400':
          description: Invalid status filter value
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApiRunListResponse:
      properties:
        runs:
          items:
            $ref: '#/components/schemas/ApiRunListItem'
          type: array
          title: Runs
        total:
          type: integer
          title: Total
          description: >-
            Total number of matching runs in the workspace, ignoring ``limit``.
            Lets paginated callers detect there is more to fetch.
        returned:
          type: integer
          title: Returned
          description: Number of runs in this response (``len(runs)``)
      type: object
      required:
        - runs
        - total
        - returned
      title: ApiRunListResponse
      description: Response for GET /api/v1/model/{model_id}/run.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApiRunListItem:
      properties:
        run_id:
          type: string
          title: Run Id
        status:
          type: string
          title: Status
        started_at:
          type: string
          title: Started At
        completed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Completed At
        findings_count:
          type: integer
          title: Findings Count
        categories_planned:
          items:
            type: string
          type: array
          title: Categories Planned
      type: object
      required:
        - run_id
        - status
        - started_at
        - findings_count
        - categories_planned
      title: ApiRunListItem
      description: One run in a list response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````